# ifndef TranspositionTableTestCase_h
# define TranspositionTableTestCase_h
# include "TranspositionTable/TranspositionTable.h"
#include "TestHeader.h"
class TranspositionTableTestCase:
  public TestCase
{
public:
  TranspositionTableTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void initializing();
  void basicMove();
  void capture();
  void promotion();
  void promotionCapture();
  void enPassant();
  void changeGame();
};
#endif
